diff --git a/config/rootfiles/packages/libvirt b/config/rootfiles/packages/libvirt
index 55bd39a4e..d265125b0 100644
--- a/config/rootfiles/packages/libvirt
+++ b/config/rootfiles/packages/libvirt
@@ -87,16 +87,16 @@ usr/bin/virt-xml-validate
 #usr/lib/libvirt
 #usr/lib/libvirt-admin.so
 usr/lib/libvirt-admin.so.0
-usr/lib/libvirt-admin.so.0.10010.0
+usr/lib/libvirt-admin.so.0.11004.0
 #usr/lib/libvirt-lxc.so
 usr/lib/libvirt-lxc.so.0
-usr/lib/libvirt-lxc.so.0.10010.0
+usr/lib/libvirt-lxc.so.0.11004.0
 #usr/lib/libvirt-qemu.so
 usr/lib/libvirt-qemu.so.0
-usr/lib/libvirt-qemu.so.0.10010.0
+usr/lib/libvirt-qemu.so.0.11004.0
 #usr/lib/libvirt.so
 usr/lib/libvirt.so.0
-usr/lib/libvirt.so.0.10010.0
+usr/lib/libvirt.so.0.11004.0
 #usr/lib/libvirt/connection-driver
 usr/lib/libvirt/connection-driver/libvirt_driver_ch.so
 usr/lib/libvirt/connection-driver/libvirt_driver_interface.so
@@ -112,7 +112,6 @@ usr/lib/libvirt/storage-backend/libvirt_storage_backend_fs.so
 usr/lib/libvirt/storage-backend/libvirt_storage_backend_logical.so
 usr/lib/libvirt/storage-backend/libvirt_storage_backend_vstorage.so
 #usr/lib/libvirt/storage-file
-usr/lib/libvirt/storage-file/libvirt_storage_file_fs.so
 #usr/lib/pkgconfig/libvirt-admin.pc
 #usr/lib/pkgconfig/libvirt-lxc.pc
 #usr/lib/pkgconfig/libvirt-qemu.pc
@@ -121,7 +120,9 @@ usr/lib/libvirt/storage-file/libvirt_storage_file_fs.so
 usr/lib/sysctl.d/60-libvirtd.conf
 usr/lib/sysctl.d/60-qemu-postcopy-migration.conf
 #usr/lib/sysusers.d
+usr/lib/sysusers.d/libvirt-login-shell.conf
 usr/lib/sysusers.d/libvirt-qemu.conf
+usr/lib/sysusers.d/libvirt.conf
 usr/libexec/libvirt-ssh-proxy
 usr/libexec/libvirt_iohelper
 usr/libexec/virt-login-shell-helper
@@ -220,6 +221,8 @@ usr/sbin/virtstoraged
 #usr/share/doc/libvirt/examples/xml/test/testvol.xml
 #usr/share/libvirt
 #usr/share/libvirt/cpu_map
+usr/share/libvirt/cpu_map/arm_Ampere-1.xml
+usr/share/libvirt/cpu_map/arm_Ampere-1a.xml
 usr/share/libvirt/cpu_map/arm_FT-2000plus.xml
 usr/share/libvirt/cpu_map/arm_Falkor.xml
 usr/share/libvirt/cpu_map/arm_Kunpeng-920.xml
@@ -236,6 +239,7 @@ usr/share/libvirt/cpu_map/arm_features.xml
 usr/share/libvirt/cpu_map/arm_vendors.xml
 usr/share/libvirt/cpu_map/index.xml
 usr/share/libvirt/cpu_map/ppc64_POWER10.xml
+usr/share/libvirt/cpu_map/ppc64_POWER11.xml
 usr/share/libvirt/cpu_map/ppc64_POWER6.xml
 usr/share/libvirt/cpu_map/ppc64_POWER7.xml
 usr/share/libvirt/cpu_map/ppc64_POWER8.xml
@@ -243,6 +247,7 @@ usr/share/libvirt/cpu_map/ppc64_POWER9.xml
 usr/share/libvirt/cpu_map/ppc64_POWERPC_e5500.xml
 usr/share/libvirt/cpu_map/ppc64_POWERPC_e6500.xml
 usr/share/libvirt/cpu_map/ppc64_vendors.xml
+usr/share/libvirt/cpu_map/x86_486-v1.xml
 usr/share/libvirt/cpu_map/x86_486.xml
 usr/share/libvirt/cpu_map/x86_Broadwell-IBRS.xml
 usr/share/libvirt/cpu_map/x86_Broadwell-noTSX-IBRS.xml
@@ -259,6 +264,7 @@ usr/share/libvirt/cpu_map/x86_Cascadelake-Server-v3.xml
 usr/share/libvirt/cpu_map/x86_Cascadelake-Server-v4.xml
 usr/share/libvirt/cpu_map/x86_Cascadelake-Server-v5.xml
 usr/share/libvirt/cpu_map/x86_Cascadelake-Server.xml
+usr/share/libvirt/cpu_map/x86_Conroe-v1.xml
 usr/share/libvirt/cpu_map/x86_Conroe.xml
 usr/share/libvirt/cpu_map/x86_Cooperlake-v1.xml
 usr/share/libvirt/cpu_map/x86_Cooperlake-v2.xml
@@ -270,6 +276,7 @@ usr/share/libvirt/cpu_map/x86_Denverton.xml
 usr/share/libvirt/cpu_map/x86_Dhyana-v1.xml
 usr/share/libvirt/cpu_map/x86_Dhyana-v2.xml
 usr/share/libvirt/cpu_map/x86_Dhyana.xml
+usr/share/libvirt/cpu_map/x86_EPYC-Genoa-v1.xml
 usr/share/libvirt/cpu_map/x86_EPYC-Genoa.xml
 usr/share/libvirt/cpu_map/x86_EPYC-IBPB.xml
 usr/share/libvirt/cpu_map/x86_EPYC-Milan-v1.xml
@@ -286,6 +293,7 @@ usr/share/libvirt/cpu_map/x86_EPYC-v3.xml
 usr/share/libvirt/cpu_map/x86_EPYC-v4.xml
 usr/share/libvirt/cpu_map/x86_EPYC.xml
 usr/share/libvirt/cpu_map/x86_GraniteRapids-v1.xml
+usr/share/libvirt/cpu_map/x86_GraniteRapids-v2.xml
 usr/share/libvirt/cpu_map/x86_GraniteRapids.xml
 usr/share/libvirt/cpu_map/x86_Haswell-IBRS.xml
 usr/share/libvirt/cpu_map/x86_Haswell-noTSX-IBRS.xml
@@ -310,16 +318,23 @@ usr/share/libvirt/cpu_map/x86_IvyBridge-IBRS.xml
 usr/share/libvirt/cpu_map/x86_IvyBridge-v1.xml
 usr/share/libvirt/cpu_map/x86_IvyBridge-v2.xml
 usr/share/libvirt/cpu_map/x86_IvyBridge.xml
+usr/share/libvirt/cpu_map/x86_KnightsMill-v1.xml
 usr/share/libvirt/cpu_map/x86_KnightsMill.xml
 usr/share/libvirt/cpu_map/x86_Nehalem-IBRS.xml
 usr/share/libvirt/cpu_map/x86_Nehalem-v1.xml
 usr/share/libvirt/cpu_map/x86_Nehalem-v2.xml
 usr/share/libvirt/cpu_map/x86_Nehalem.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G1-v1.xml
 usr/share/libvirt/cpu_map/x86_Opteron_G1.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G2-v1.xml
 usr/share/libvirt/cpu_map/x86_Opteron_G2.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G3-v1.xml
 usr/share/libvirt/cpu_map/x86_Opteron_G3.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G4-v1.xml
 usr/share/libvirt/cpu_map/x86_Opteron_G4.xml
+usr/share/libvirt/cpu_map/x86_Opteron_G5-v1.xml
 usr/share/libvirt/cpu_map/x86_Opteron_G5.xml
+usr/share/libvirt/cpu_map/x86_Penryn-v1.xml
 usr/share/libvirt/cpu_map/x86_Penryn.xml
 usr/share/libvirt/cpu_map/x86_SandyBridge-IBRS.xml
 usr/share/libvirt/cpu_map/x86_SandyBridge-v1.xml
@@ -355,21 +370,33 @@ usr/share/libvirt/cpu_map/x86_Westmere-IBRS.xml
 usr/share/libvirt/cpu_map/x86_Westmere-v1.xml
 usr/share/libvirt/cpu_map/x86_Westmere-v2.xml
 usr/share/libvirt/cpu_map/x86_Westmere.xml
+usr/share/libvirt/cpu_map/x86_athlon-v1.xml
 usr/share/libvirt/cpu_map/x86_athlon.xml
+usr/share/libvirt/cpu_map/x86_core2duo-v1.xml
 usr/share/libvirt/cpu_map/x86_core2duo.xml
+usr/share/libvirt/cpu_map/x86_coreduo-v1.xml
 usr/share/libvirt/cpu_map/x86_coreduo.xml
 usr/share/libvirt/cpu_map/x86_cpu64-rhel5.xml
 usr/share/libvirt/cpu_map/x86_cpu64-rhel6.xml
 usr/share/libvirt/cpu_map/x86_features.xml
+usr/share/libvirt/cpu_map/x86_kvm32-v1.xml
 usr/share/libvirt/cpu_map/x86_kvm32.xml
+usr/share/libvirt/cpu_map/x86_kvm64-v1.xml
 usr/share/libvirt/cpu_map/x86_kvm64.xml
+usr/share/libvirt/cpu_map/x86_n270-v1.xml
 usr/share/libvirt/cpu_map/x86_n270.xml
+usr/share/libvirt/cpu_map/x86_pentium-v1.xml
 usr/share/libvirt/cpu_map/x86_pentium.xml
+usr/share/libvirt/cpu_map/x86_pentium2-v1.xml
 usr/share/libvirt/cpu_map/x86_pentium2.xml
+usr/share/libvirt/cpu_map/x86_pentium3-v1.xml
 usr/share/libvirt/cpu_map/x86_pentium3.xml
 usr/share/libvirt/cpu_map/x86_pentiumpro.xml
+usr/share/libvirt/cpu_map/x86_phenom-v1.xml
 usr/share/libvirt/cpu_map/x86_phenom.xml
+usr/share/libvirt/cpu_map/x86_qemu32-v1.xml
 usr/share/libvirt/cpu_map/x86_qemu32.xml
+usr/share/libvirt/cpu_map/x86_qemu64-v1.xml
 usr/share/libvirt/cpu_map/x86_qemu64.xml
 usr/share/libvirt/cpu_map/x86_vendors.xml
 #usr/share/libvirt/schemas
diff --git a/lfs/libvirt b/lfs/libvirt
index 1bd9844be..f2915ec94 100644
--- a/lfs/libvirt
+++ b/lfs/libvirt
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY	   = Server side daemon and supporting files for libvirt
 
-VER        = 10.10.0
+VER        = 11.4.0
 
 THISAPP    = libvirt-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -35,7 +35,7 @@ DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 SUP_ARCH   = x86_64 aarch64
 PROG       = libvirt
-PAK_VER    = 39
+PAK_VER    = 40
 
 DEPS       = ebtables libpciaccess ovmf qemu
 
@@ -49,7 +49,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 8042ce1493c3ffd6e6deeb7d94d0744da18850fe416480487a57ffd33bf3390f587849f308aad12fd38c887628f90137ba717ea11ef7e0f73a97b157fa985a6e
+$(DL_FILE)_BLAKE2 = 54d2b9cb35394184d2ce22670623849ecfb54abd1c8e48135ec735ed6b30fa9fa22261cf847a66269a0f3918f164954fcc0a5d7eec1e0d759831925f3ac6b546
 
 install : $(TARGET)
 check : $(patsubst %,$(DIR_CHK)/%,$(objects))