diff --git a/config/rootfiles/common/libunistring b/config/rootfiles/common/libunistring
new file mode 100644
index 000000000..0811a695d
--- /dev/null
+++ b/config/rootfiles/common/libunistring
@@ -0,0 +1,53 @@
+#usr/include/unicase.h
+#usr/include/uniconv.h
+#usr/include/unictype.h
+#usr/include/unigbrk.h
+#usr/include/unilbrk.h
+#usr/include/unimetadata.h
+#usr/include/uniname.h
+#usr/include/uninorm.h
+#usr/include/unistdio.h
+#usr/include/unistr.h
+#usr/include/unistring
+#usr/include/unistring/cdefs.h
+#usr/include/unistring/iconveh.h
+#usr/include/unistring/inline.h
+#usr/include/unistring/localcharset.h
+#usr/include/unistring/stdint.h
+#usr/include/unistring/version.h
+#usr/include/unistring/woe32dll.h
+#usr/include/unitypes.h
+#usr/include/uniwbrk.h
+#usr/include/uniwidth.h
+#usr/lib/libunistring.la
+#usr/lib/libunistring.so
+usr/lib/libunistring.so.5
+usr/lib/libunistring.so.5.2.0
+#usr/share/doc/libunistring
+#usr/share/doc/libunistring/libunistring_1.html
+#usr/share/doc/libunistring/libunistring_10.html
+#usr/share/doc/libunistring/libunistring_11.html
+#usr/share/doc/libunistring/libunistring_12.html
+#usr/share/doc/libunistring/libunistring_13.html
+#usr/share/doc/libunistring/libunistring_14.html
+#usr/share/doc/libunistring/libunistring_15.html
+#usr/share/doc/libunistring/libunistring_16.html
+#usr/share/doc/libunistring/libunistring_17.html
+#usr/share/doc/libunistring/libunistring_18.html
+#usr/share/doc/libunistring/libunistring_19.html
+#usr/share/doc/libunistring/libunistring_2.html
+#usr/share/doc/libunistring/libunistring_20.html
+#usr/share/doc/libunistring/libunistring_21.html
+#usr/share/doc/libunistring/libunistring_22.html
+#usr/share/doc/libunistring/libunistring_23.html
+#usr/share/doc/libunistring/libunistring_3.html
+#usr/share/doc/libunistring/libunistring_4.html
+#usr/share/doc/libunistring/libunistring_5.html
+#usr/share/doc/libunistring/libunistring_6.html
+#usr/share/doc/libunistring/libunistring_7.html
+#usr/share/doc/libunistring/libunistring_8.html
+#usr/share/doc/libunistring/libunistring_9.html
+#usr/share/doc/libunistring/libunistring_abt.html
+#usr/share/doc/libunistring/libunistring_fot.html
+#usr/share/doc/libunistring/libunistring_toc.html
+#usr/share/info/libunistring.info
diff --git a/lfs/libunistring b/lfs/libunistring
new file mode 100644
index 000000000..1ea398d39
--- /dev/null
+++ b/lfs/libunistring
@@ -0,0 +1,82 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 1.3
+
+THISAPP    = libunistring-$(VER)
+DL_FILE    = $(THISAPP).tar.xz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+CFLAGS    += -fcommon
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_BLAKE2 = 213d24ea4ba5e960a030bd83fc1b6c9d9a5e33d63ade8874e2a15d1b7a0acbe4b2d03df18065f6c17f01bfed94f7e70ef474e713f5c5ad2375cf2438457b0379
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+b2 : $(subst %,%_BLAKE2,$(objects))
+
+###############################################################################
+# Downloading, checking, b2sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_BLAKE2,$(objects)) :
+	@$(B2SUM)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+	$(UPDATE_AUTOMAKE)
+	cd $(DIR_APP) && ./configure \
+	                	--prefix=/usr \
+	                	--disable-static
+	cd $(DIR_APP) && make $(MAKETUNING)
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 8bf452c37..1bcb4f42c 100755
--- a/make.sh
+++ b/make.sh
@@ -1536,6 +1536,7 @@ build_system() {
 	lfsmake2 aprutil
 	lfsmake2 unbound
 	lfsmake2 libtasn1
+	lfsmake2 libunistring
 	lfsmake2 gnutls
 	lfsmake2 libuv
 	lfsmake2 liburcu