diff --git a/config/rootfiles/common/ruby b/config/rootfiles/common/ruby
index 1acbe91f3..1d39df92b 100644
--- a/config/rootfiles/common/ruby
+++ b/config/rootfiles/common/ruby
@@ -79,6 +79,7 @@
 #usr/include/ruby-3.4.0/ruby/internal/attr/noexcept.h
 #usr/include/ruby-3.4.0/ruby/internal/attr/noinline.h
 #usr/include/ruby-3.4.0/ruby/internal/attr/nonnull.h
+#usr/include/ruby-3.4.0/ruby/internal/attr/nonstring.h
 #usr/include/ruby-3.4.0/ruby/internal/attr/noreturn.h
 #usr/include/ruby-3.4.0/ruby/internal/attr/packed_struct.h
 #usr/include/ruby-3.4.0/ruby/internal/attr/pure.h
@@ -223,7 +224,7 @@
 #usr/include/ruby-3.4.0/xxxMACHINExxx-linux/ruby/config.h
 #usr/lib/libruby.so
 #usr/lib/libruby.so.3.4
-#usr/lib/libruby.so.3.4.4
+#usr/lib/libruby.so.3.4.5
 #usr/lib/pkgconfig/ruby-3.4.pc
 #usr/lib/ruby
 #usr/lib/ruby/3.4.0
@@ -246,7 +247,10 @@
 #usr/lib/ruby/3.4.0/bundler/cli/common.rb
 #usr/lib/ruby/3.4.0/bundler/cli/config.rb
 #usr/lib/ruby/3.4.0/bundler/cli/console.rb
+#usr/lib/ruby/3.4.0/bundler/cli/doctor
 #usr/lib/ruby/3.4.0/bundler/cli/doctor.rb
+#usr/lib/ruby/3.4.0/bundler/cli/doctor/diagnose.rb
+#usr/lib/ruby/3.4.0/bundler/cli/doctor/ssl.rb
 #usr/lib/ruby/3.4.0/bundler/cli/exec.rb
 #usr/lib/ruby/3.4.0/bundler/cli/fund.rb
 #usr/lib/ruby/3.4.0/bundler/cli/gem.rb
@@ -995,10 +999,8 @@
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_footer.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_head.rhtml
-#usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_VCS_info.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_classes.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_extends.rhtml
-#usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_in_files.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_includes.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_installed.rhtml
 #usr/lib/ruby/3.4.0/rdoc/generator/template/darkfish/_sidebar_methods.rhtml
@@ -1359,7 +1361,6 @@
 #usr/lib/ruby/3.4.0/rubygems/security/signer.rb
 #usr/lib/ruby/3.4.0/rubygems/security/trust_dir.rb
 #usr/lib/ruby/3.4.0/rubygems/security_option.rb
-#usr/lib/ruby/3.4.0/rubygems/shellwords.rb
 #usr/lib/ruby/3.4.0/rubygems/source
 #usr/lib/ruby/3.4.0/rubygems/source.rb
 #usr/lib/ruby/3.4.0/rubygems/source/git.rb
@@ -1669,7 +1670,7 @@
 #usr/lib/ruby/gems/3.4.0/cache/base64-0.2.0.gem
 #usr/lib/ruby/gems/3.4.0/cache/bigdecimal-3.1.8.gem
 #usr/lib/ruby/gems/3.4.0/cache/csv-3.3.2.gem
-#usr/lib/ruby/gems/3.4.0/cache/debug-1.10.0.gem
+#usr/lib/ruby/gems/3.4.0/cache/debug-1.11.0.gem
 #usr/lib/ruby/gems/3.4.0/cache/drb-2.2.1.gem
 #usr/lib/ruby/gems/3.4.0/cache/getoptlong-0.2.1.gem
 #usr/lib/ruby/gems/3.4.0/cache/matrix-0.4.2.gem
@@ -1701,10 +1702,10 @@
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/bigdecimal-3.1.8
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/bigdecimal-3.1.8/bigdecimal.so
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/bigdecimal-3.1.8/gem.build_complete
-#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.10.0
-#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.10.0/debug
-#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.10.0/debug/debug.so
-#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.10.0/gem.build_complete
+#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.11.0
+#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.11.0/debug
+#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.11.0/debug/debug.so
+#usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/debug-1.11.0/gem.build_complete
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/nkf-0.2.0
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/nkf-0.2.0/gem.build_complete
 #usr/lib/ruby/gems/3.4.0/extensions/xxxMACHINExxx-linux/3.4.0/nkf-0.2.0/nkf.so
@@ -1761,10 +1762,10 @@
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/linear.rb
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/nlsolve.rb
 #usr/lib/ruby/gems/3.4.0/gems/bigdecimal-3.1.8/sample/pi.rb
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe/bundle
-#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.7/exe/bundler
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.9
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.9/exe
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.9/exe/bundle
+#usr/lib/ruby/gems/3.4.0/gems/bundler-2.6.9/exe/bundler
 #usr/lib/ruby/gems/3.4.0/gems/cgi-0.4.2
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2/LICENSE.txt
@@ -1818,55 +1819,55 @@
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2/lib/csv/version.rb
 #usr/lib/ruby/gems/3.4.0/gems/csv-3.3.2/lib/csv/writer.rb
 #usr/lib/ruby/gems/3.4.0/gems/date-3.4.1
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/CONTRIBUTING.md
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/Gemfile
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/LICENSE.txt
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/README.md
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/Rakefile
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/TODO.md
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/exe
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/exe/rdbg
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/Makefile
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/debug.c
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/debug.o
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/debug_version.h
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/extconf.h
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/extconf.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/iseq_collector.c
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/iseq_collector.o
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/ext/debug/mkmf.log
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/exts.mk
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/abbrev_command.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/breakpoint.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/client.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/color.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/config.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/console.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/dap_custom
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/dap_custom/traceInspector.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/frame_info.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/irb_integration.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/local.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/open.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/open_nonstop.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/prelude.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/server.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/server_cdp.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/server_dap.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/session.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/source_repository.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/start.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/thread_client.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/tracer.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/lib/debug/version.rb
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/misc
-#usr/lib/ruby/gems/3.4.0/gems/debug-1.10.0/misc/README.md.erb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/CONTRIBUTING.md
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/Gemfile
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/LICENSE.txt
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/README.md
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/Rakefile
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/TODO.md
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/exe
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/exe/rdbg
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/Makefile
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/debug.c
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/debug.o
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/debug_version.h
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/extconf.h
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/extconf.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/iseq_collector.c
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/iseq_collector.o
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/ext/debug/mkmf.log
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/exts.mk
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/abbrev_command.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/breakpoint.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/client.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/color.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/config.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/console.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/dap_custom
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/dap_custom/traceInspector.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/frame_info.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/irb_integration.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/local.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/open.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/open_nonstop.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/prelude.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/server.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/server_cdp.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/server_dap.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/session.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/source_repository.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/start.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/thread_client.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/tracer.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/lib/debug/version.rb
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/misc
+#usr/lib/ruby/gems/3.4.0/gems/debug-1.11.0/misc/README.md.erb
 #usr/lib/ruby/gems/3.4.0/gems/delegate-0.4.0
 #usr/lib/ruby/gems/3.4.0/gems/did_you_mean-2.0.0
 #usr/lib/ruby/gems/3.4.0/gems/digest-3.2.0
@@ -1893,7 +1894,7 @@
 #usr/lib/ruby/gems/3.4.0/gems/erb-4.0.4/libexec
 #usr/lib/ruby/gems/3.4.0/gems/erb-4.0.4/libexec/erb
 #usr/lib/ruby/gems/3.4.0/gems/error_highlight-0.7.0
-#usr/lib/ruby/gems/3.4.0/gems/etc-1.4.5
+#usr/lib/ruby/gems/3.4.0/gems/etc-1.4.6
 #usr/lib/ruby/gems/3.4.0/gems/fcntl-1.2.0
 #usr/lib/ruby/gems/3.4.0/gems/fiddle-1.1.6
 #usr/lib/ruby/gems/3.4.0/gems/fileutils-1.7.3
@@ -1921,9 +1922,9 @@
 #usr/lib/ruby/gems/3.4.0/gems/getoptlong-0.2.1/sample/getoptlong/return_in_order.rb
 #usr/lib/ruby/gems/3.4.0/gems/getoptlong-0.2.1/sample/getoptlong/simple.rb
 #usr/lib/ruby/gems/3.4.0/gems/getoptlong-0.2.1/sample/getoptlong/types.rb
-#usr/lib/ruby/gems/3.4.0/gems/io-console-0.8.0
-#usr/lib/ruby/gems/3.4.0/gems/io-nonblock-0.3.1
-#usr/lib/ruby/gems/3.4.0/gems/io-wait-0.3.1
+#usr/lib/ruby/gems/3.4.0/gems/io-console-0.8.1
+#usr/lib/ruby/gems/3.4.0/gems/io-nonblock-0.3.2
+#usr/lib/ruby/gems/3.4.0/gems/io-wait-0.3.2
 #usr/lib/ruby/gems/3.4.0/gems/ipaddr-1.2.7
 #usr/lib/ruby/gems/3.4.0/gems/irb-1.14.3
 #usr/lib/ruby/gems/3.4.0/gems/irb-1.14.3/exe
@@ -2948,10 +2949,10 @@
 #usr/lib/ruby/gems/3.4.0/gems/rbs-3.8.0/templates/src/constants.c.erb
 #usr/lib/ruby/gems/3.4.0/gems/rbs-3.8.0/templates/src/ruby_objs.c.erb
 #usr/lib/ruby/gems/3.4.0/gems/rbs-3.8.0/templates/template.rb
-#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.10.0
-#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.10.0/exe
-#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.10.0/exe/rdoc
-#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.10.0/exe/ri
+#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.14.0
+#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.14.0/exe
+#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.14.0/exe/rdoc
+#usr/lib/ruby/gems/3.4.0/gems/rdoc-6.14.0/exe/ri
 #usr/lib/ruby/gems/3.4.0/gems/readline-0.0.4
 #usr/lib/ruby/gems/3.4.0/gems/reline-0.6.0
 #usr/lib/ruby/gems/3.4.0/gems/repl_type_completor-0.1.9
@@ -2971,7 +2972,7 @@
 #usr/lib/ruby/gems/3.4.0/gems/repl_type_completor-0.1.9/lib/repl_type_completor/version.rb
 #usr/lib/ruby/gems/3.4.0/gems/repl_type_completor-0.1.9/sig
 #usr/lib/ruby/gems/3.4.0/gems/repl_type_completor-0.1.9/sig/repl_type_completor.rbs
-#usr/lib/ruby/gems/3.4.0/gems/resolv-0.6.0
+#usr/lib/ruby/gems/3.4.0/gems/resolv-0.6.2
 #usr/lib/ruby/gems/3.4.0/gems/resolv-replace-0.1.1
 #usr/lib/ruby/gems/3.4.0/gems/resolv-replace-0.1.1/Gemfile
 #usr/lib/ruby/gems/3.4.0/gems/resolv-replace-0.1.1/LICENSE.txt
@@ -3313,10 +3314,10 @@
 #usr/lib/ruby/gems/3.4.0/specifications/base64-0.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/bigdecimal-3.1.8.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/csv-3.3.2.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/debug-1.10.0.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/debug-1.11.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default
 #usr/lib/ruby/gems/3.4.0/specifications/default/benchmark-0.4.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/bundler-2.6.7.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/bundler-2.6.9.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/cgi-0.4.2.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/date-3.4.1.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/delegate-0.4.0.gemspec
@@ -3325,15 +3326,15 @@
 #usr/lib/ruby/gems/3.4.0/specifications/default/english-0.8.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/erb-4.0.4.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/error_highlight-0.7.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/etc-1.4.5.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/etc-1.4.6.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/fcntl-1.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/fiddle-1.1.6.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/fileutils-1.7.3.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/find-0.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/forwardable-1.3.3.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/io-console-0.8.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/io-nonblock-0.3.1.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/io-wait-0.3.1.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/io-console-0.8.1.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/io-nonblock-0.3.2.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/io-wait-0.3.2.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/ipaddr-1.2.7.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/irb-1.14.3.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/json-2.9.1.gemspec
@@ -3351,10 +3352,10 @@
 #usr/lib/ruby/gems/3.4.0/specifications/default/prism-1.2.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/pstore-0.1.4.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/psych-5.2.2.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/rdoc-6.10.0.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/rdoc-6.14.0.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/readline-0.0.4.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/reline-0.6.0.gemspec
-#usr/lib/ruby/gems/3.4.0/specifications/default/resolv-0.6.0.gemspec
+#usr/lib/ruby/gems/3.4.0/specifications/default/resolv-0.6.2.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/ruby2_keywords-0.0.5.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/securerandom-0.4.1.gemspec
 #usr/lib/ruby/gems/3.4.0/specifications/default/set-1.1.1.gemspec
diff --git a/lfs/ruby b/lfs/ruby
index cb1b1c74b..24e0c90a1 100644
--- a/lfs/ruby
+++ b/lfs/ruby
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.4.4
+VER        = 3.4.5
 
 THISAPP    = ruby-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = ac56f2805f68b6ddd14281ea3db83fd991c8b96c61853b5d8770c08e6413994a89d423134b9a45f75bce186d31e2563bc59db2ec7d4fc1563fbed91c89476ef4
+$(DL_FILE)_BLAKE2 = 635ebb5f1c4f7197cea1167c67cba72747a73a4d40b7954cf27ce3d23f8bafd4dd0c8d863af09d6eb5bf84d6d9f75e7ac6d8d93b5bdcd9bb0594d255fec02bf8
 
 install : $(TARGET)
 