diff --git a/config/rootfiles/common/python3-Jinja2 b/config/rootfiles/common/python3-Jinja2
index 755e7bb51..6a29decd0 100644
--- a/config/rootfiles/common/python3-Jinja2
+++ b/config/rootfiles/common/python3-Jinja2
@@ -1,36 +1,34 @@
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/PKG-INFO
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/SOURCES.txt
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/dependency_links.txt
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/entry_points.txt
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/not-zip-safe
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/requires.txt
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/EGG-INFO/top_level.txt
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/__init__.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/_identifier.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/async_utils.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/bccache.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/compiler.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/constants.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/debug.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/defaults.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/environment.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/exceptions.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/ext.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/filters.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/idtracking.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/lexer.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/loaders.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/meta.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/nativetypes.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/nodes.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/optimizer.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/parser.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/py.typed
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/runtime.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/sandbox.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/tests.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/utils.py
-#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg/jinja2/visitor.py
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/PKG-INFO
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/SOURCES.txt
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/dependency_links.txt
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/entry_points.txt
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/requires.txt
+#usr/lib/python3.10/site-packages/Jinja2-3.1.2-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/jinja2
+#usr/lib/python3.10/site-packages/jinja2/__init__.py
+#usr/lib/python3.10/site-packages/jinja2/_identifier.py
+#usr/lib/python3.10/site-packages/jinja2/async_utils.py
+#usr/lib/python3.10/site-packages/jinja2/bccache.py
+#usr/lib/python3.10/site-packages/jinja2/compiler.py
+#usr/lib/python3.10/site-packages/jinja2/constants.py
+#usr/lib/python3.10/site-packages/jinja2/debug.py
+#usr/lib/python3.10/site-packages/jinja2/defaults.py
+#usr/lib/python3.10/site-packages/jinja2/environment.py
+#usr/lib/python3.10/site-packages/jinja2/exceptions.py
+#usr/lib/python3.10/site-packages/jinja2/ext.py
+#usr/lib/python3.10/site-packages/jinja2/filters.py
+#usr/lib/python3.10/site-packages/jinja2/idtracking.py
+#usr/lib/python3.10/site-packages/jinja2/lexer.py
+#usr/lib/python3.10/site-packages/jinja2/loaders.py
+#usr/lib/python3.10/site-packages/jinja2/meta.py
+#usr/lib/python3.10/site-packages/jinja2/nativetypes.py
+#usr/lib/python3.10/site-packages/jinja2/nodes.py
+#usr/lib/python3.10/site-packages/jinja2/optimizer.py
+#usr/lib/python3.10/site-packages/jinja2/parser.py
+#usr/lib/python3.10/site-packages/jinja2/py.typed
+#usr/lib/python3.10/site-packages/jinja2/runtime.py
+#usr/lib/python3.10/site-packages/jinja2/sandbox.py
+#usr/lib/python3.10/site-packages/jinja2/tests.py
+#usr/lib/python3.10/site-packages/jinja2/utils.py
+#usr/lib/python3.10/site-packages/jinja2/visitor.py